@import url('{{static("pygments.default.css")}}');
@import url('{{static("webmentions.css")}}');
@import url('{{static("isso-comments.css")}}');

html {
    /* {{image('/_layout/plaidbg-light.png').get_css_background(width=192,uncomment=True)}} */
    background-color: grey;
    background-attachment: fixed;
    margin: 0;
    padding: 0;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'verdana', sans-serif;
    /* {{image('/_layout/plaidlogo.png').get_css_background(width=192,uncomment=True)}} */
    background-repeat: no-repeat;
    background-attachment: fixed;
}

#container {
    position: relative;
}

#banner {
    color: #ff9;
    float: left;
    margin-left: 164px;
    margin-top: 56px;
    /* {{image('/_layout/plaidbg-dark.png').get_css_background(width=192,uncomment=True)}} */
    background-color: darkblue;
    background-attachment: fixed;
    padding: 1ex 1em 1ex 1ex;
    border-radius: 1ex;
    margin-bottom: 1em;
}

#banner a {
    color: #ff9;
}

a {
    color: #009;
}

a:visited {
    color: #709;
}

a:hover {
    color: #900;
}

#entries {
    clear: both;
    max-width: 50em;
    margin: 0 auto;
}

@media screen and (max-width: 800px) {
    body {
        padding: 0;
    }

    #entries {
        margin: 0;
    }
}

#banner h1 {
    margin: 0;
    padding: 0;
}

#container >.top-hook {
    float: left;
    width: 1px;
    height: 192px;
    margin-bottom: 1em;
}

#index #banner h1:after {
    content: ': ';
}

#banner #description p {
    display: inline;
}

#nav {
    position: absolute;
    float: right;
    top: 0;
    right: 0;
    margin: 0 0 1em 1em;
    padding: 1em;
    /* {{image('/_layout/plaidbg-dark.png').get_css_background(width=192,uncomment=True)}} */
    background-color: darkblue;
    background-attachment: fixed;
    border-radius: 0 0 0 1em;
    color: #ff9;
}

#nav h2 {
    display: none;
    margin: 0;
    padding: 0;
}

#nav ul {
    list-style-type: none;
    display: inline;
    margin: 0;
    padding: 0;
}
#nav ul li {
    display: inline;
}
#nav ul li+li:before {
    display: inline;
    content: ' • ';
}

#nav a {
    color: #ff9;
}

.entry {
    background: white;
    /* {{image('/_layout/plaidlogo-blur-bg.jpg').get_css_background(width=192*1100/1024,uncomment=True)}} */
    background-attachment: fixed;
    background-repeat: no-repeat;
    margin: 1em 0 2em;
    border-radius: 16px;
    border: solid #990 1px;
    overflow: hidden;
    box-shadow: 8px 8px 8px rgba(0,0,0,0.25);
}

.entry .heading {
    position: relative;
    margin: 0;
}

#entry .entry .tags {
    text-align: right;
}
.entry .tags {
    font-size: x-small;
    padding-right: 1em;
}

.entry .tags ul {
    display: inline;
    font-weight: normal;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.entry .tags li {
    display: inline;
    font-style: italic;
}
.entry .tags li+li:before {
    display: inline;
    content: ' • ';
}

.entry ul.tags li a {
    display: inline;
    margin: 0;
    padding: 0;
}

.entry .heading h2 {
    margin: 0;
    padding: 4px 16px;
    position: relative;
    z-index: 10;
    background: #ffc;
    box-shadow: 0px 3px 3px rgba(0,0,0,0.2);
    border-bottom: solid black 1px;
}

article.private .heading h2 {
    background: #fcf;
}

.entry .heading .top-hook {
    display: block;
    width: 12em;
    height: 1ex;
    float: right;
}

.entry .heading a {
    display: block;
    margin: -4px -16px -4px;
    padding: 4px 16px 4px;
    text-decoration: none;
}

.entry .heading a:hover {
    background: #ff7;
}

article.private .heading a:hover {
    background: #f9f;
}

.entry .heading .posted {
    position: absolute;
    z-index: 90;
    top: 0;
    right: 0;
    padding: 4px 8px;
    font-size: small;
    font-weight: bold;
    background: #cc7;
    border-bottom-left-radius: 8px;
}

article.private .heading .posted {
    background: #c7c;
}

.entry .posted .ago {
    font-weight: normal;
    font-size: x-small;
}

.entry .posted .ago:before {
    content: '(';
}
.entry .posted .ago:after {
    content: ')';
}

.entry .content {
    position: relative;
    padding: 1px 16px 4px;
/*    text-align: justify;
    hyphens: auto;
    -webkit-hypens: auto;
*/}

.entry .readmore {
    display: block;
    text-align: left;
    font-size: small;
    font-style: italic;
}

img {
    max-width: 100%;
    height: auto;
}

.images {
    text-align: center;
    vertical-align: middle;
}

.images img {
    vertical-align: middle;
    margin: 2px;
}

#comments .heading {
    border-top: solid #990 1px;
}

#comments {
    background: rgba(255,255,255,0.75);
    clear: both;
    margin-top: 1ex;
}

.entry .commentlink {
    float: right;
    font-size: small;
    margin-top: -1px;
    margin-right: -16px;
    margin-left: 1em;
    margin-bottom: 1ex;
    padding: 2px 4px 2px 8px;
    border-bottom-left-radius: 8px;
    border: dotted black 1px;
    background: #ddd;
    border-style: none none dotted dotted;
    z-index: 150;
}

#entries {
    padding: 0 3em;
}

#entries .nav {
    display: table;
    margin: 1ex 0;
    width: 100%;
    clear: both;
    text-align: center;
    font-size: small;
}

#entries .nav >div {
    display: table-row;
}

#entries .nav span {
    display: table-cell;
    width: 33%;
}
#entries .nav span.prev {
    text-align: left;
}
#entries .nav span.next {
    text-align: right;
}

#entries .nav a {
    background: #ffc;
    border-radius: 1.2em;
    padding: 0.1em 1em 0.3em;
    margin: 1ex 0;
    color: black;
    font-family: verdana, sans-serif;
    text-decoration: none;
    border: solid #773 1px;
    box-shadow: 3px 3px 4px rgba(0,0,0,0.1);
    display: inline-block;
}

#entries .nav a.private {
    background: #fcf;
}

#entries .nav a:hover {
    background: #ff7;
}

#entries .nav a.private:hover {
    background: #f9f;
}

#entries .nav a, #entries .nav a:visited {
    color: #333;
}

#entries .nav .prev a:before {
    content: '« ';
    font-weight: bold;
}

#entries .nav .next a:after {
    content: ' »';
    font-weight: bold;
}


table {
    border-collapse: collapse;
}

thead {
    background: #fef;
    color: black;
}

tfoot {
    background: #ffe;
    font-weight: bold;
    color: black;
}

thead, tbody, tfoot, colgroup {
    border: solid #777 2px;
}

th {
    padding: 0.2ex 1ex;
    border: solid #777 2px;
    text-align: center;
}

td {
    padding: 0.2ex 1ex;
    border: solid #777 1px;
    font-variant-numeric: tabular-nums;
}

blockquote:before {
    font-family: 'Georgia', 'Times', serif;
    content: '“';
    font-size: 500%;
    position: absolute;
    left: -.5ex;
    top: -.55ex;
    color: #ccc;
    z-index: -10;
    -webkit-text-stroke: #999 0.2px;
    text-shadow: rgba(0,0,0,0.3) 2px 2px 4px, #777 0 0 1px;
}

blockquote {
    position: relative;
    z-index: 0;
    border: solid #eee 1px;
    background: rgba(0,0,0,0.1);
    box-shadow: #999 0 2px 4px;
    padding: 0.25ex 1em;
}

.inset-right { float: right; clear: right; margin-left: 1em; shape-margin: 1em;}
.inset-left { float: left; clear: left; margin-right: 1em; shape-margin: 1em;}

.hidden { display: none; }

details summary {
    background: #ddd;
    text-align: left;
    padding: 1ex;
    margin-bottom: 1ex;
    color: black;
    font-style: italic;
}

#userinfo {
    margin: 1ex 0 2em;
}

#userinfo div {
    padding: 1em;
    box-shadow: 0 3px 5px rgba(0,0,0,0.25);
    color: black;
    display: inline-block;
}

#userinfo .hello {
    background: #cfc;
}

#userinfo .unauthorized {
    background: #ffc;
}

#userinfo a {
    font-size: x-small;
    color: black;
}
#userinfo a::before {
    content: '[';
}
#userinfo a::after {
    content: ']';
}

.footnotes {
    font-size: small;
    border-top: dashed black 1px;
}

.footnotes li {
    transition: background-color color 0.25s ease;
}

.footnotes :target {
    background: #cef;
    color: black;
}

/* backwards compat rule for footnote layout; can go away with publ v0.5.11 */
.footnotes hr {
    display: none;
}

article.react {
    display: inline-block;
    border: solid black 1px;
    border-radius: 3em;
    box-shadow: 2px 2px 2px rgba(0,0,0,0.25);
    margin: 0 1ex 1ex 0;
    text-align: center;
    overflow: hidden;
}

article.react a.hidden {
    display: none;
}

article.react a {
    display: inline-block;
    color: black;
    text-decoration: none;
    position: relative;
    padding: 1ex 1.5ex;
    background: white;
}

article.react a:hover {
    background: #ffc;
    color: #700;
}

article.react data {
    margin-right: -1ex;
    position: relative;
    font-size: 80%;
    left: -.5ex;
    top: 1ex;
}

article.react span {
    text-shadow: black -1px 0px 0px, black 0px -1px 0px, black 1px 0px 0px, black 0px 1px 0px;
}

pre {
    overflow: auto;
}

.image-more {
    display: block;
    font-size: small;
}

.via {
    font-size: small;
    font-style: italic;
    margin-bottom: 0;
}

.spoiler {
    color: black;
    background: black;
    border: dotted white 1px;
}

.spoiler * {
    color: black;
    background: black;
}

.spoiler:hover {
    color: white;
    background: black;
    border: solid black 1px;
}

.spoiler:hover a {
    color: #f7c;
}

